# Web Initial Paragraphs (WIP)

Web Initial Paragraphs is a Drupal module that provides a collection of ready-to-use Paragraphs designed to offer flexible and reusable content structures for Drupal projects. It enables developers and site builders to quickly implement components without building them from scratch.

Each sub-module within WIP represents a specific Paragraph type, allowing teams to enable only the components they need for their project.

## Table of Contents

- [Features](#features)
- [Requirements](#requirements)
- [Installation](#installation)
  - [Installation with Composer](#installation-with-composer)
  - [Enable the Module](#enable-the-module)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)

## Features

- Provides a library of Paragraph types with different content structures.
- Promotes reuse of content components across pages and content types.
- Continuously maintained and expanded with new Paragraph options.

## Requirements

- Drupal 10 or higher.
- The **Paragraphs** module ([drupal/paragraphs](https://www.drupal.org/project/paragraphs)).

## Installation

### Installation with Composer

```bash
composer require drupal/wip
```

### Enable the Module

You can enable the main module and any sub-modules using Drush:

```bash
drush en web_initial_paragraphs -y
```

Or from the Drupal admin interface:
Navigate to **Extend** > Search for “Web Initial Paragraphs” > Enable.

## Usage

1. After enabling the module, go to the field configuration of your desired content type or entity and add a Paragraph field.
2. From the Paragraph field settings, you can select which Paragraph types to allow. Each sub-module in WIP represents a separate Paragraph type.
3. Enable only the sub-modules (Paragraph types) you need for your site’s content strategy.

## Contributing

This module is under active development. Contributions are welcome!

- To suggest new Paragraph types
- To report bugs or issues
- To submit patches or feature improvements

Visit the [WIP project page](https://www.drupal.org/project/wip) to participate in the development or post in the [issue queue](https://www.drupal.org/project/issues/wip).

## License

This module is distributed under the [GNU General Public License, version 2 (GPL-2.0)](https://www.gnu.org/licenses/old-licenses/gpl-2.0.html).
